\section{Translation Theorem}
\begin{lem}\label{24: translation lemma}
  Let $L/K$ be a field extension, and $Z_1\sse Z_2, Z$ intermediate fields of $L/K$. If $Z_2/Z_1$ is a Galois extension, then $Z.Z_2/Z.Z_1$ is too. In this case, the restriction
  \[
  \gal(Z.Z_2/Z.Z_1) \to \gal(Z_2/Z_1)
  \]
  is an injective group homomorphism.
\end{lem}
\begin{proof}
  As $Z_2/Z_1$ is Galois extension, there is a separable polynomial $f\in Z_1[X]$ such that $Z_2$ is a splitting field for $f$ (\cref{22: equivalent characterisation of Galois extensions}). Let $M:= \{x\in Z_2 \ssp f(x) = 0\}$.
  Then $Z_2 = Z_1(M)$, and hence $Z.Z_2 = Z.Z_1(M)$. As $f$ already splits into linear factors over $Z_2$, $Z.Z_2$ is a splitting field for $f \in (Z.Z_1)[X]$. Let $g\in Z_1[x]$ be an irreducible factor of $f$ (i.e. $g\divd f$). Then $g$ is separable over $Z.Z_1$, as $f$ splits into linear factors. So $Z.Z_2/Z.Z_1$ is Galois extension.\par
  Consider the restriction map
  \[
  \eta : \gal(Z.Z_2/Z.Z_1) \to \gal(Z_2/Z_1),~\phi \mapsto \restr{\phi}{Z_1}.
  \]
  By the lifiting theorems, every $\phi\in \gal(Z.Z_2/Z.Z_1)$ is uniquely determined by its values $\phi(x)$ for $x\in M$, which already implies that $\eta$ is injective.
\end{proof}
\begin{thm}[Translation Theorem]\label{24: translation theorem}
  Let $L/K$ be a field extension, and $E,F$ subfields of $L/K$. If $E/(E\cap F)$ is a Galois extension, then
  \begin{enumerate}
    \item $E.F/F$ is a Galois extension.
    \item there is an isomorphism $\gal(E.F/F)\cong \gal(E/E\cap F)$.
  \end{enumerate}
  \[
  \begin{tikzcd}
    &
    L\ar[dash]{d}&
    \\
    &
    E.F\ar[dash]{ld}\ar[dash]{rd}&
    \\
    E\ar[dashed,dash]{rd}&
    &
    F\ar[dash]{ld}\\
    &
    E\cap F\ar[dash]{d}&
    \\
    &
    K&
  \end{tikzcd}
  \]
\end{thm}
\begin{proof}
\coms later.\come
\end{proof}
\begin{ncor}
  Let $L/K$ be a a field extension, with subfields $K\sse E,F\sse L$, such that $E/K$ and $F/K$ are Galois extensions. Then $E.F/K$ is a Galois extension too. The map
  \[
  \begin{tikzcd}[sep = small, cramped]
  \eta:\gal(E.F/K)\ar{r}&\gal(E/K)\times \gal(F/K)\\\phi\ar[mapsto]{r}& \left(\restr{\phi}{E},\restr{\phi}{F}\right)
  \end{tikzcd}
  \]
  is an injective group homomorphism. If $E\cap E' = K$ holds, $\eta$ is a group isomorphism.
\end{ncor}
\begin{proof}
  Every element $\phi\in \ker \eta$ is trivial on $E$ and $F$, and hence also on $E.F$, so $\eta$ is indeed injective. \par
  Assume now that $E\cap F = K$, and let $(\phi,\phi')\in \gal(E/K)\times \gal(F/K).$ By \cref{24: translation theorem}, there are $\tilde{\phi}, \tilde{\phi'}\in \gal(E.F/K)$, such that $\restr{\tilde{\phi}}{F} = \id_F$
  and $\restr{\tilde{\phi'}}{E} = \id_E$. So for their composition $\tilde{\phi}\circ \tilde{\phi'}\in \gal(E.F/K)$, we have
  \[
  \restr{\left(\tilde{\phi}\circ \tilde{\phi'}\right)}{E} = \restr{\tilde{\phi}}{E} \circ \restr{\tilde{\phi'}}{E} = \phi \qquad \text{and} \qquad
  \restr{\left(\tilde{\phi}\circ \tilde{\phi'}\right)}{F} = \restr{\tilde{\phi}}{F} \circ \restr{\tilde{\phi'}}{F} = \phi'.
\]
\end{proof}

\chapter{Applications of Galois Theory}
\begin{prop}
  Let $\ff$ be a finite field of charactersitic $\rchar  \ff = p$. Then $\ff$ is a finite extension of $\ff_p$. Let $[\ff:\ff_p]=: m$. Then $\abs{\ff} = p^m$ and $\ff/\ff_p$ is a Galois-extension.
\end{prop}
\begin{proof}
  \begin{itemize}
    \item We have that  $\rchar \ff=: p$ is a prime number, and the prime field of $\ff$ is exactly $\ff_p$. Hence $\ff$ is a finite-dimensional $\ff_p$-vector space, and so $[\ff:\ff_p]=m$ for some $m\geq 0$.
    \item As $\abs{\ff_p}= p$, and $\ff \cong \ff_p^m$, we have $\abs{\ff}= p^m=: q$.
    \item As $\unts{\ff}$ is cyclic, $\abs{\unts{\ff}}=q-1$ follows. So every element in $\unts{\ff}$ is a roots of $X^{q-1}-1$, and hence every $a\in \ff$ is a root of
    \[
    X^q - X = \prod_{a\in F} (X-a)\in \ff[X].
    \]
    So $\ff$ is a splitting field of the separable polynom $X^q-X\in \ff_p[X]$, and hence $\ff/\ff_p$ is a Galois-extension. (\coms add reference\come).
  \end{itemize}
\end{proof}
\begin{thm}
  For every prime number $p$ and every $n\geq$ there is a field with $p^n$ elements. These fields are unique up to isomorphism, and every finite field is of this form.
\end{thm}
\begin{thm}
  Let $q:p^m$, and $\ff = \ff_q$ a finite field. Then $\gal(\ff/\ff_p)$ is cyclic of order $m$. Furthermore, the Frobenius Endomorphism is a generator of this group.
\end{thm}
\begin{proof}
  We already now that $\unts{\ff}$ is a cyclic group, hence there is at least a $x\in \unts{\ff}$ such that $\langle x\rangle = \unts{\ff}$. Consider now the Frobenius Endomorphism $x\mapsto x^p$. Then $F^i(x) = x^{(p^i)}$, and they $x^{(p^i)}$ are different for all $1\leq i \leq m$. As $\ff/\ff_p$ is a Galois-extension, we have that $\gal(\ff/\ff_p)$ is finite, and hence $\gal(\ff/\ff_p) = \{F^i\ssp 1\leq i \leq m\}$ follows.
\end{proof}
\begin{cor}
  Let $L/K$ be a finite field extension with $K$ a finite and $[L:K]=m$. Then there is a bijection
  \[
  \begin{tikzcd}
  \lset \text{intermediate fields of }L/K\rset \ar[leftrightarrow]{r}&
  \lset \text{Divisors of }m \rset.
  \end{tikzcd}
  \]
\end{cor}
\section{Solvable Galois Groups}
\begin{defn}
  Let $L/K$ be a field extension. We say $L/K$ is \toidx{metacyclic}, if there is a chain
  \[
  K = Z_0 \sse Z_1 \sse \hdots \sse Z_r = L
  \]
  of intermediate fields, such that $Z_i/Z_{i-1}$ is cyclic. We say $L/K$ is \emph{$p$-metacyclic} \index{$p$-metacyclic} if such a chain exists, and $\gal(Z_i/Z_{i-1})$ is a $p$-group.
\end{defn}
\begin{thm}\label{24: metacyclic iff solvable}
  Let $L/K$ be a Galois extension. Then the following are equivalent
  \begin{enumerate}
    \item $L/K$ is metacyclic or $p$-metacyclic respectivley.
    \item $\gal(L/K)$ is solvable or a $p$-group respectivley.
  \end{enumerate}
\end{thm}

\begin{proof}
  i) $\implies$ ii): Suppose there is a chain of intermediate fields
  \[
  K = Z_0 \sse Z_1 \sse \hdots \sse Z_r = L
  \]
  such that $Z_i/Z_{i-1}$ is cyclic (a Galois extension of degree $p$). As the map to Galois groups is inclusion-reversing, we get a chain of subgroups of the form
  \begin{equation}\label{24: normal series from galois groups}
  1 = G_r \leq \hdots \leq G_0 = \gal(L/K)=: G,
  \end{equation}
  with $G_i:= \gal(L/Z_i)$.
  As $L/K$ is a Galois extension, $L/Z_{i-1}$ is too. By applying the \hyperref[23: fundamental theorem galois]{fundamental theorem of Galois theory} to
  \[
  \begin{tikzcd}[sep = small, cramped]
    L\ar[dash]{d}\\
    Z_i\ar[dash]{d}\\
    Z_{i-1}
  \end{tikzcd},
  \]
   $Z_i/Z_{i-1}$ being a Galois extension implies that $\gal(L/Z_i)\nsg \gal(L/Z_{i-1})$ is a normal subgroup, and that
   \[
   \gal(L/Z_{i-1})/\gal(L/Z_i) \cong \gal(Z_i/Z_{i-1})\]
   so the quotient $gal(L/Z_{i-1})/\gal(L/Z_i)$ is cyclic (or abelian). Hence \eqref{24: normal series from galois group} is normal series for $\gal(L/K)$.\par
   ii) $\implies$ i): Assume there is a normal series of $G:=\gal(L/K)$ of the form
   \[
   1 = G_0 \nsg G_1\nsg \hdots\nsg G_t= G,
   \]
   such that $p_i:= \abs{G_i/G_{i-1}}$ is a prime number ($p=\abs{G_i/G_{i-1}}$) \footnote{c.f. \hyperref[http://www.math.uni-bonn.de/people/gjasso/resources/pdf/teaching/wise1819/v2a1/u7_ws1819.pdf]{A26}.} By applying the \hyperref[23: fundamental theorem galois]{fundamental theorem of galois theory} we get a chain of intermediate fields
   \[
     K = L_t \sse L_1 \sse \hdots \sse L_0 = L,
    \]
    such that $L_i/L_{i-1}$ is a Galois extension, and $p_i= [L_{i-1}:L_i]$ ($p = [L_{i-1}:L_i]$). In particular, $\gal(L_{i-1}/L_i)\cong \zz_{p_i}$ ($\gal(L_{i-1}/\gal(L_i))$).
\end{proof}
\begin{thm}\label{24: metacyclic composita}
  Let $L/K$ be a field extension, and $Z_1,Z_2\sse L$ intermediate fields. Assume that $Z_1,Z_2$ are metacyclic ($p$-metacyclic). Then $Z_1.Z_2$ is metacyclic ($p$-metacyclic).
\end{thm}
\begin{proof}
  Let
  \[
  K = K_0 \sse \hdots \sse K_r = Z_1
  \]
  and
  \[
  K = K_0' \sse \hdots \sse K'_s = Z_2
  \]
  be two resolutions, such that $K_i/K_{i-1}$ is cyclic ($p$-metacyclic). Consider now the ascending chain
  \[
  K = K_0 \sse \hdots K_r = Z_1 = Z_1.K_0 \sse Z_1.K_1'\sse \hdots \sse Z_1.K_s' = Z_1.Z_2.
  \]
  By \cref{24: translation lemma}, we have that $Z_1.K_j/Z_1.K_{j-1}'$ is a galois extension, and get an embedding
  \[
  \gal(Z_1.K_j'/Z_1.K_{j-1}) \membarr \gal(K_j'/K_{j-1}').
  \]
  As $\gal(K_j'/K_{j-1}')$ is cyclic (a $p$-group), the claim follows.
\end{proof}
\begin{thm}\label{24: galois hull metacyclic}
  Let $L/K$ be metacyclic ($p$-metacyclic), and let $N$ be the Galois hull of $L/K$. Then $\gal(N/K)$ is solvable (a $p$-group).
\end{thm}
\begin{proof}
  Let
  \[
  \{L_1,\hdots,L_t\} = \{ \phi(L)\ssp \phi \in \hom_K(L,\overline{L})
  \]
  be the conjugates of $L$. By construction, we have
  \[
  N = L_1.\hdots.L_t.
  \]
  We also have that $L_i/K$ is metacyclic ($p$-metacyclic), and hence by \cref{24: metacyclic composita}, $N/K$ is metacyclic ($p$-metacyclic) too. So by \cref{24: metacyclic iff solvable}, $\gal(N/K)$ is solvable (a $p$-group).
\end{proof}
\lec
